package com.usoftchina.qywx.sdk.dto;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * 新增成员事件
 *
 * @author yingp
 */
@XmlRootElement(name = "xml")
public class CreateUserEvent {
    /**
     * 企业微信CorpID
     */
    private String ToUserName;
    /**
     * 此事件该值固定为sys，表示该消息由系统生成
     */
    private String FromUserName;
    /**
     * 消息创建时间 （整型）
     */
    private String CreateTime;
    /**
     * 消息的类型，此时固定为event
     */
    private String MsgType;
    /**
     * 事件的类型，此时固定为change_contact
     */
    private String Event;
    /**
     * 此时固定为create_user
     */
    private String ChangeType;
    private String UserID;
    private String Name;
    private String Department;
    private String IsLeaderInDept;
    private String Position;
    private String Mobile;
    private String Gender;
    private String Email;
    private String Status;
    private String Avatar;
    private String Alias;
    private String Telephone;
    private String Address;

    public String getToUserName() {
        return ToUserName;
    }

    public void setToUserName(String toUserName) {
        ToUserName = toUserName;
    }

    public String getFromUserName() {
        return FromUserName;
    }

    public void setFromUserName(String fromUserName) {
        FromUserName = fromUserName;
    }

    public String getCreateTime() {
        return CreateTime;
    }

    public void setCreateTime(String createTime) {
        CreateTime = createTime;
    }

    public String getMsgType() {
        return MsgType;
    }

    public void setMsgType(String msgType) {
        MsgType = msgType;
    }

    public String getEvent() {
        return Event;
    }

    public void setEvent(String event) {
        Event = event;
    }

    public String getChangeType() {
        return ChangeType;
    }

    public void setChangeType(String changeType) {
        ChangeType = changeType;
    }

    public String getUserID() {
        return UserID;
    }

    public void setUserID(String userID) {
        UserID = userID;
    }

    public String getName() {
        return Name;
    }

    public void setName(String name) {
        Name = name;
    }

    public String getDepartment() {
        return Department;
    }

    public void setDepartment(String department) {
        Department = department;
    }

    public String getIsLeaderInDept() {
        return IsLeaderInDept;
    }

    public void setIsLeaderInDept(String isLeaderInDept) {
        IsLeaderInDept = isLeaderInDept;
    }

    public String getPosition() {
        return Position;
    }

    public void setPosition(String position) {
        Position = position;
    }

    public String getMobile() {
        return Mobile;
    }

    public void setMobile(String mobile) {
        Mobile = mobile;
    }

    public String getGender() {
        return Gender;
    }

    public void setGender(String gender) {
        Gender = gender;
    }

    public String getEmail() {
        return Email;
    }

    public void setEmail(String email) {
        Email = email;
    }

    public String getStatus() {
        return Status;
    }

    public void setStatus(String status) {
        Status = status;
    }

    public String getAvatar() {
        return Avatar;
    }

    public void setAvatar(String avatar) {
        Avatar = avatar;
    }

    public String getAlias() {
        return Alias;
    }

    public void setAlias(String alias) {
        Alias = alias;
    }

    public String getTelephone() {
        return Telephone;
    }

    public void setTelephone(String telephone) {
        Telephone = telephone;
    }

    public String getAddress() {
        return Address;
    }

    public void setAddress(String address) {
        Address = address;
    }
}
